Bug 235795 - devel/ruby-gems: Update to 3.0.2
Summary: devel/ruby-gems: Update to 3.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks: 234509 235826
  Show dependency treegraph
 
Reported: 2019-02-17 05:57 UTC by Yasuhiro KIMURA
Modified: 2019-04-03 13:38 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (ruby)
yasu: exp-run?


Attachments
patch file (3.35 KB, patch)
2019-02-17 05:57 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2019-02-17 05:57:48 UTC
Created attachment 202083 [details]
patch file

* Update to 3.0.2.
* Fix some portlint warnings.
Comment 2 Antoine Brodin freebsd_committer 2019-02-17 19:21:42 UTC
Around 20 ports were skipped due to those failures.
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-02-19 21:27:28 UTC
The first 2 QA failure were fixed.

devel/rubygem-zentest is fixed.

The other ports should be fixed with this patch [1].

[1] https://people.FreeBSD.org/~sunpoet/patch/devel-ruby-gems.txt
Comment 4 Yasuhiro KIMURA 2019-02-20 04:47:47 UTC
(In reply to Sunpoet Po-Chuan Hsieh from comment #3)

Sunpoet.

Thank you for patch. I tried your patch and confirmed all build
failure and 2 QA failure are fixed.

Antoine.

Would you please try another exp-run with Sunpoet's patch?
Comment 5 Antoine Brodin freebsd_committer 2019-02-22 06:38:30 UTC
Exp-run looks fine.
Comment 6 commit-hook freebsd_committer 2019-02-22 19:57:29 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Feb 22 19:56:05 UTC 2019
New revision: 493610
URL: https://svnweb.freebsd.org/changeset/ports/493610

Log:
  Update devel/ruby-gems to 3.0.2

  - Update Mk/Uses/gem.mk

  Changes:	https://github.com/rubygems/rubygems/blob/master/History.txt
  PR:		235795
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>, sunpoet (myself)
  Exp-run by:	antoine

Changes:
  head/Mk/Uses/gem.mk
  head/devel/ruby-gems/Makefile
  head/devel/ruby-gems/distinfo
  head/devel/ruby-gems/pkg-plist
  head/devel/rubygem-io-like/Makefile
  head/sysutils/vagrant/Makefile
  head/sysutils/vagrant/pkg-plist
  head/textproc/rubygem-cld3/Makefile
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-02-22 19:59:34 UTC
Committed. Thanks!
Comment 8 commit-hook freebsd_committer 2019-03-17 18:48:02 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Mar 17 18:47:06 UTC 2019
New revision: 496088
URL: https://svnweb.freebsd.org/changeset/ports/496088

Log:
  MFH: r493213 r493610 r495827

  Remove outdated comment

  The corresponding patches of the 2 ports which contain rubygems version have
  been replaced by REINPLACE_CMD command in r486416 and r486417.

  Update devel/ruby-gems to 3.0.2

  - Update Mk/Uses/gem.mk

  Changes:	https://github.com/rubygems/rubygems/blob/master/History.txt
  PR:		235795
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>, sunpoet (myself)
  Exp-run by:	antoine

  Update to 3.0.3

  Changes:	https://github.com/rubygems/rubygems/blob/master/History.txt
  Security:	27b12d04-4722-11e9-8b7c-b5e01141761f

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/Mk/Uses/gem.mk
  branches/2019Q1/devel/ruby-gems/Makefile
  branches/2019Q1/devel/ruby-gems/distinfo
  branches/2019Q1/devel/ruby-gems/pkg-plist
  branches/2019Q1/devel/rubygem-io-like/Makefile
  branches/2019Q1/sysutils/vagrant/Makefile
  branches/2019Q1/sysutils/vagrant/pkg-plist
  branches/2019Q1/textproc/rubygem-cld3/Makefile